Hotels
Room types of a hotel. Pass any `rateKey` from the same search so the right supplier answers.
get/v1/hotels/{hotelCode}/rooms
- Vereist authenticatie
Parameters
| Naam | In | Type | Omschrijving |
|---|---|---|---|
| hotelCode* | pad | string | |
| rateKey | query | string |
Antwoorden
200OKHotelRoomsResponse
- hotelCodestring
- hotelNamestringmag null zijn
- HotelRoom[]
- namestringmag null zijn
- bedTypestringmag null zijn
- HotelRate[]
- RoomType[]
- codestringmag null zijn
- namestringmag null zijn
- bedTypestringmag null zijn
- maxOccupancyinteger (int32)
Codevoorbeelden
Volledige programma's die het verzoek ondertekenen zoals de gateway het verifieert. Vervang YOUR_KEY_ID en YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"